This project has moved and is read-only. For the latest updates, please go here.

Can't load vts.gui - Silverlight v5.0?

Oct 5, 2012 at 12:40 AM

I believe I've installed the latest version of silverlight (5) however in my C:\Program Files (x86)\MSBuild\Microsoft\Silverlight directory I only have v3.0 and v4.0.  It looks like the vts.gui.silverlight project file won't load because it is expecting a v5.0 directory.  Any thoughts?  

Oct 5, 2012 at 1:41 AM

You should be using either:

- Visual Studio 2012 + the SL 5 developer runtime, or

- Visual Studio 2010 (with SP1) and have installed the "Silverlight Tools for VS" here. (The Tools for VS will install the developer runtime for you.)

Can you confirm you've done these things?

Oct 5, 2012 at 1:46 AM

As an aside - if you don't have access to Visual Studio Professional or higher, you should still be able to download and install "Express" versions for components of the solution (available here). I haven't confirmed this but here's how I understand it:

1) "Visual Studio 2012 Express For Web" will load the solution file, but only build and run the Silverlight projects

2) "Visual Studio 2012 Express for Windows Desktop" will load the solution file, but only build and run the Desktop C# projects (and C++ projects)

Oct 5, 2012 at 2:30 AM

I'm running VS2010 and didn't have those tools installed.  Ran into a few extra hiccups (http://forums.silverlight.net/t/254428.aspx/1) but reinstalling the runtime seems to have cleared it up.  

 

Thanks!

Oct 5, 2012 at 5:58 AM

Great, glad that solved it. Thanks for the link to that fix. -D